<?php

/**
 * @file
 * Other part of performance.
 */

/**
 * Check last cron ran.
 */
function bs_performance_other_last_cron() {
  return variable_get('cron_last') > (REQUEST_TIME - 86400);
}

/**
 * Check availability of CSS optimization.
 */
function bs_performance_other_css() {
  return variable_get('preprocess_css');
}

/**
 * Check page compression.
 */
function bs_performance_other_page_compression() {
  return variable_get('page_compression');
}

/**
 * Check availability of JavaScript optimization.
 */
function bs_performance_other_js() {
  return variable_get('preprocess_js');
}

/**
 * Check availability of PHP cache.
 */
function bs_performance_other_php_apc() {
  if (version_compare(phpversion(), '5.5') >= 0) {
    if (function_exists('opcache_get_configuration')) {
      $conf = opcache_get_configuration();
      return $conf['directives']['opcache.enable'];
    }
  }
  else {
    return function_exists('apc_add');
  }

  return FALSE;
}

/**
 * Check PHP execution time.
 */
function bs_performance_other_max_execution() {
  return ini_get('max_execution_time') < 300;
}

/**
 * Check availability of Advanced CSS/JS Aggregation.
 */
function bs_performance_other_advagg() {
  return module_exists('advagg') && module_exists('advagg_css_compress') && module_exists('advagg_js_compress');
}
